Bug 325009 - Korganizer crashed while trying to add add calendar item from mail.
Summary: Korganizer crashed while trying to add add calendar item from mail.
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: 4.11.1
Platform: Mint (Ubuntu based) Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-09-17 16:36 UTC by Joshua Hatzenbuehler
Modified: 2013-10-08 16:22 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (12.70 KB, text/plain)
2013-10-02 11:51 UTC, honkir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Hatzenbuehler 2013-09-17 16:36:08 UTC
Application: kontact (4.11.1)
KDE Platform Version: 4.11.1
Qt Version: 4.8.4
Operating System: Linux 3.8.0-27-generic x86_64
Distribution: Linux Mint 15 Olivia

-- Information about the crash:
- What I was doing when the application crashed:
I recieved a calendar invitation request and clicked add item to calendar. After clicking yes add, no do not send email to other receipients, application crashed.

The crash can be reproduced every time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fb66bafc7c0 (LWP 26515))]

Thread 5 (Thread 0x7fb64d512700 (LWP 26516)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fb66694d585 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007fb66694d5d9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007fb6630d0f8e in start_thread (arg=0x7fb64d512700) at pthread_create.c:311
#4  0x00007fb66907ee1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fb60cd0f700 (LWP 26517)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fb666693a09 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007fb66697bcee in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007fb6630d0f8e in start_thread (arg=0x7fb60cd0f700) at pthread_create.c:311
#4  0x00007fb66907ee1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fb5fdb5c700 (LWP 26523)):
#0  0x00007fb6630d3075 in __GI___pthread_mutex_lock (mutex=0x7fb5f0000a60) at pthread_mutex_lock.c:95
#1  0x00007fb662c3d5c1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fb662bfd493 in g_main_context_release () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fb662bfe188 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fb662bfe304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fb6697f8036 in QEventDispatcherGlib::processEvents (this=0x7fb5f00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fb6697c838f in QEventLoop::processEvents (this=this@entry=0x7fb5fdb5bd90, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fb6697c8618 in QEventLoop::exec (this=this@entry=0x7fb5fdb5bd90, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fb6696ca410 in QThread::exec (this=this@entry=0x18e3330) at thread/qthread.cpp:542
#9  0x00007fb6697a9edf in QInotifyFileSystemWatcherEngine::run (this=0x18e3330) at io/qfilesystemwatcher_inotify.cpp:256
#10 0x00007fb6696ccbec in QThreadPrivate::start (arg=0x18e3330) at thread/qthread_unix.cpp:338
#11 0x00007fb6630d0f8e in start_thread (arg=0x7fb5fdb5c700) at pthread_create.c:311
#12 0x00007fb66907ee1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fb5effff700 (LWP 26525)):
#0  0x00007fb662c3d5b0 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fb662bfe0d5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fb662bfe304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fb6697f8036 in QEventDispatcherGlib::processEvents (this=0x7fb5e80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fb6697c838f in QEventLoop::processEvents (this=this@entry=0x7fb5efffedc0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fb6697c8618 in QEventLoop::exec (this=this@entry=0x7fb5efffedc0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fb6696ca410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007fb6696ccbec in QThreadPrivate::start (arg=0x14f7e80) at thread/qthread_unix.cpp:338
#8  0x00007fb6630d0f8e in start_thread (arg=0x7fb5effff700) at pthread_create.c:311
#9  0x00007fb66907ee1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fb66bafc7c0 (LWP 26515)):
[KCrash Handler]
#6  KCalCore::IncidenceBase::update (this=this@entry=0x0) at ../../kcalcore/incidencebase.cpp:573
#7  0x00007fb65fa1c129 in KCalCore::IncidenceBase::startUpdates (this=this@entry=0x0) at ../../kcalcore/incidencebase.cpp:596
#8  0x00007fb65fa1c159 in KCalCore::IncidenceBase::operator= (this=0x0, other=...) at ../../kcalcore/incidencebase.cpp:141
#9  0x00007fb607342f6a in Akonadi::CalendarBasePrivate::slotModifyFinished (this=0x321cb60, changeId=<optimized out>, item=..., resultCode=Akonadi::IncidenceChanger::ResultCodeSuccess, errorMessage=...) at ../../../akonadi/calendar/calendarbase.cpp:241
#10 0x00007fb6697de0ef in QMetaObject::activate (sender=0x321c400, m=m@entry=0x7fb6075c5100 <Akonadi::IncidenceChanger::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fff507b4d20) at kernel/qobject.cpp:3539
#11 0x00007fb607341b19 in Akonadi::IncidenceChanger::modifyFinished (this=<optimized out>, _t1=1, _t2=..., _t3=Akonadi::IncidenceChanger::ResultCodeSuccess, _t4=...) at moc_incidencechanger.cpp:117
#12 0x00007fb6697e35be in QObject::event (this=0x321c400, e=<optimized out>) at kernel/qobject.cpp:1194
#13 0x00007fb66a1b38ec in QApplicationPrivate::notify_helper (this=this@entry=0x12a8620, receiver=receiver@entry=0x321c400, e=e@entry=0x26ad1a0) at kernel/qapplication.cpp:4567
#14 0x00007fb66a1b625b in QApplication::notify (this=this@entry=0x7fff507b57d0, receiver=receiver@entry=0x321c400, e=e@entry=0x26ad1a0) at kernel/qapplication.cpp:4428
#15 0x00007fb66aebd916 in KApplication::notify (this=0x7fff507b57d0, receiver=0x321c400, event=0x26ad1a0) at ../../kdeui/kernel/kapplication.cpp:311
#16 0x00007fb6697c963e in QCoreApplication::notifyInternal (this=0x7fff507b57d0, receiver=receiver@entry=0x321c400, event=event@entry=0x26ad1a0) at kernel/qcoreapplication.cpp:946
#17 0x00007fb6697cd171 in sendEvent (event=0x26ad1a0, receiver=0x321c400) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#18 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x126d1d0) at kernel/qcoreapplication.cpp:1570
#19 0x00007fb6697cd4a3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#20 0x00007fb6697f7e83 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#21 postEventSourceDispatch (s=0x12b0bf0) at kernel/qeventdispatcher_glib.cpp:279
#22 0x00007fb662bfdf05 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007fb662bfe248 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#24 0x00007fb662bfe304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#25 0x00007fb6697f8016 in QEventDispatcherGlib::processEvents (this=0x126e690, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#26 0x00007fb66a25913e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#27 0x00007fb6697c838f in QEventLoop::processEvents (this=this@entry=0x7fff507b5640, flags=...) at kernel/qeventloop.cpp:149
#28 0x00007fb6697c8618 in QEventLoop::exec (this=this@entry=0x7fff507b5640, flags=...) at kernel/qeventloop.cpp:204
#29 0x00007fb6697cdcf6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#30 0x00007fb66a1b1ffc in QApplication::exec () at kernel/qapplication.cpp:3828
#31 0x00000000004033a9 in main (argc=1, argv=0x7fff507b5918) at ../../../kontact/src/main.cpp:219

Reported using DrKonqi
Comment 1 honkir 2013-10-02 11:51:46 UTC
Created attachment 82606 [details]
New crash information added by DrKonqi

kontact (4.11.1) on KDE Platform 4.11.1 using Qt 4.8.4

- What I was doing when the application crashed:
An invitation update arrived, so I clicked 'Accept'. After that a dialog occured, where I selected my identity or e-mail address for reply. After submitting, Kontact crashed.

Just before that I have changed Invitation settings in kmail to:
 * "mangle from-to headers" = on
 * "send invitations in the mail body" = on
 * "exchange compatible invitation naming" = on
 * "outlook compatible invitation reply comments" = on
 * "show invitation update differences ..." = off
 * "delete invitation e-mails ..." = off

-- Backtrace (Reduced):
#6  KCalCore::IncidenceBase::update (this=this@entry=0x0) at ../../kcalcore/incidencebase.cpp:573
#7  0x00007f4f8a2b8129 in KCalCore::IncidenceBase::startUpdates (this=this@entry=0x0) at ../../kcalcore/incidencebase.cpp:596
#8  0x00007f4f8a2b8159 in KCalCore::IncidenceBase::operator= (this=0x0, other=...) at ../../kcalcore/incidencebase.cpp:141
#9  0x00007f4f35ea0f6a in Akonadi::CalendarBasePrivate::slotModifyFinished (this=0x1f68f70, changeId=<optimized out>, item=..., resultCode=Akonadi::IncidenceChanger::ResultCodeSuccess, errorMessage=...) at ../../../akonadi/calendar/calendarbase.cpp:241
[...]
#11 0x00007f4f35e9fb19 in Akonadi::IncidenceChanger::modifyFinished (this=<optimized out>, _t1=1, _t2=..., _t3=Akonadi::IncidenceChanger::ResultCodeSuccess, _t4=...) at moc_incidencechanger.cpp:117
Comment 2 Sergio Martins 2013-10-08 16:22:16 UTC
Git commit 15ce547680bc6c93e399bb2ff8b4f38f3035e678 by Sergio Martins.
Committed on 08/10/2013 at 16:18.
Pushed by smartins into branch 'KDE/4.11'.

Make code robust against event being deleted.

Also fixes a uid() vs instanceIdentifier() issue.

These are the two only possible causes for the crash reported in:

M  +14   -4    akonadi/calendar/calendarbase.cpp

http://commits.kde.org/kdepimlibs/15ce547680bc6c93e399bb2ff8b4f38f3035e678